:root {
  --font-roboto: "Roboto", sans-serif;
  --font-Raleway: "Raleway", sans-serif;
  --font-style-normal: normal;
  --font-style-Italic: Italic;
  --font-weight-400: 400;
  --font-weight-500: 500;
  --font-weight-700: 700;
  font-size: 10px;
  --color-white: #ffffff;
  --color-F5F5F5: #f5f5f5;
  --color-FFBB00: #ffbb00;
  --color-F6AD09-btn: #f6ad09;
  --color-9C9C9C: #9c9c9c;
  --color-CCCCCC: #cccccc;
  --color-B2B2B2: #b2b2b2;
  --color-9b9595: #9b9595;
  --color-595959: #595959;
  --color-664400: #664400;
  --color-2E2E2E: #2e2e2e;
  --color-2c96ec: #2c96ec;
  --color-077ddd: #077ddd;
  --color-0be039: #0be039;
  --color-332200: #332200;
  --color-111111: #111111;
  --color-161616: #161616de;
  --color-black: #000000;
}
a {
  text-decoration: none;
  font-style: normal;
}
body {
  background: var(--color-F5F5F5);
}
.main-page {
  display: grid;
  grid-template-rows: auto 1fr auto;
  width: 100%;
  max-width: 1620px;
  min-height: 100svh;
  font-family: var(--font-roboto);
  margin: 0 auto;
}

.header {
  width: 100%;
  padding: 20px 40px;
  background: var(--color-161616);
  box-sizing: border-box;
}
.header-nav {
  width: 96%;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.logo {
  width: 50px;
  border-radius: 10px;
  overflow: hidden;
  margin-top: 1px;
  margin-bottom: 1px;
}
.logo img {
  width: 100%;
  display: block;
}

.main h1 {
  font-weight: var(--font-weight-700);
  font-size: 3rem;
  text-align: center;
  margin: 10px;
}

.calculator {
  background-color: #3d4543;
  height: 300px;
  width: 250px;
  border-radius: 10px;
  position: relative;
  margin: 30px auto;
  box-shadow:
    inset 0.3rem 0.3rem 0.3rem rgba(255, 255, 255, 0.213),
    inset -0.3rem -0.3rem 0.3rem rgba(15, 6, 1, 0.532),
    1.2rem 1.2rem 2.4rem rgba(0, 0, 0, 0.6);
}

.display {
  background-color: #222;
  width: 225px;
  position: absolute;
  left: 12px;
  top: 20px;
  height: 40px;
}

#show-display {
  font-weight: var(--font-weight-600);
  width: 220px;
  position: absolute;
  left: 2px;
  top: 2px;
  height: 35px;
  color: black;
  background-color: #bccd95;
  font-size: 21px;
  text-align: right;
  z-index: 1;
}

#show-second-display {
  width: 220px;
  position: absolute;
  left: 2px;
  top: 2px;
  height: 35px;
  color: black;
  border: none;
  padding-left: 5px;
  background: none;
  font-size: 15px;
  text-align: start;
  z-index: 2;
  pointer-events: none;
}

.keys {
  position: absolute;
  top: 15px;
  top: 90px;
}

.button {
  width: 40px;
  height: 30px;
  border: none;
  border-radius: 8px;
  margin-left: 17px;
  cursor: pointer;
  border-top: 2px solid transparent;
  outline: none;
}

.button.gray {
  color: white;
  background-color: #6f6f6f;
  border-bottom: black 2px solid;
  border-top: 2px #6f6f6f solid;
}

.button.pink {
  color: black;
  background-color: #ff4561;
  border-bottom: black 2px solid;
}

.button.black {
  color: white;
  background-color: #303030;
  border-bottom: black 2px solid;
  border-top: 2px #303030 solid;
}
.orange,
.pink {
  font-weight: var(--font-weight-600);
  font-size: 1.6rem;
}

.button.orange {
  color: black;
  background-color: #ff9933;
  border-bottom: black 2px solid;
  border-top: 2px #ff9933 solid;
}

.gray:active {
  border-top: black 2px solid;
  border-bottom: 2px #6f6f6f solid;
}

.pink:active {
  border-top: black 2px solid;
  border-bottom: #ff4561 2px solid;
}

.black:active {
  border-top: black 2px solid;
  border-bottom: #303030 2px solid;
}

.orange:active {
  border-top: black 2px solid;
  border-bottom: #ff9933 2px solid;
}

.keys > li {
  line-height: 10px;
  margin-top: 2px;
  margin-bottom: 8px;
}

input[disabled] {
  opacity: 0.5;
}

.footer {
  background: var(--color-161616);
  padding: 20px 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-team-title {
  font-weight: var(--font-weight-700);
  font-size: 1.6rem;
  color: var(--color-CCCCCC);
  margin-bottom: 10px;
}

.footer-team-text {
  font-weight: var(--font-weight-700);
  font-size: 2rem;
  color: var(--color-CCCCCC);
}

.footer-date {
  font-weight: var(--font-weight-700);
  font-size: 1.5rem;
  color: var(--color-CCCCCC);
  padding: 3px;
}
